io.agora.rtc

## Class ColorSpace

- java.lang.Object
- - io.agora.rtc.ColorSpace

-     public class ColorSpace
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `matrix`
    `private int` | `primaries`
    `private int` | `range`
    `private int` | `transfer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColorSpace()`
    `ColorSpace(int primaries, int transfer, int matrix, int range)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMatrix()`
    `int` | `getPrimaries()`
    `int` | `getRange()`
    `int` | `getTransfer()`
    `void` | `setMatrix(int matrix)`
    `void` | `setPrimaries(int primaries)`
    `void` | `setRange(int range)`
    `void` | `setTransfer(int transfer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### primaries

          private int primaries

    - #### transfer

          private int transfer

    - #### matrix

          private int matrix

    - #### range

          private int range

  - ### Constructor Detail

    - #### ColorSpace

          public ColorSpace()

    - #### ColorSpace

          public ColorSpace(int primaries,
                            int transfer,
                            int matrix,
                            int range)

  - ### Method Detail

    - #### getPrimaries

          public int getPrimaries()

    - #### setPrimaries

          public void setPrimaries(int primaries)

    - #### getTransfer

          public int getTransfer()

    - #### setTransfer

          public void setTransfer(int transfer)

    - #### getMatrix

          public int getMatrix()

    - #### setMatrix

          public void setMatrix(int matrix)

    - #### getRange

          public int getRange()

    - #### setRange

          public void setRange(int range)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`